Bug 1805 - Making a package for the Application Manager in maemo 3.x does not list what apps should go to what section
: Making a package for the Application Manager in maemo 3.x does not list what...
Status: RESOLVED FIXED
Product: Developer Guide
maemo.org wiki
: 4.1.x
: All All
: Medium normal (vote)
: 5.0-final
Assigned To: Niels Breet
: documentation@maemo.org
: http://maemo.org/development/document...
:
: 3845
:
  Show dependency tree
 
Reported: 2007-08-13 13:46 UTC by Jarmo Tikka
Modified: 2010-05-17 16:42 UTC (History)
5 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Jarmo Tikka (reporter) nokia 2007-08-13 13:46:55 UTC
Problem discussed in maemo mailing list in maemo packaging documentation.
This is what maemo documentation has to say about sections:
****
(http://maemo.org/development/documentation/how-tos/3-x/howto_making_an_application_package_bora.html) 
The list of predefined subsections and their English names is:
    * user/accessories Accessories
    * user/communication Communication
    * user/games Games
    * user/multimedia Multimedia
    * user/office Office
    * user/other Other
    * user/programming Programming
    * user/support Support
    * user/themes Themes
    * user/tools Tools
****
It defines the software sections, but it doesn't tell what applications is
supposed to go to what section. This should be explained.
Note 1, Sections should match maemo application catalog categories. Catalog
user manual (http://maemo.org/community/application-catalog/user-manual) should
be updated to refer updated sections policy when available.
Note 2, Sections used in Debian are listed here (for example) 
http://www.debian.org/doc/debian-policy/ch-archive.html#s-subsections. To avoid
unnecessary patching of packages maemo sections should match as much as
possible debian ones.
Comment 1 Jarmo Tikka (reporter) nokia 2007-08-13 13:48:31 UTC
Added Eero Tamminen to the report.
Comment 2 Jarmo Tikka (reporter) nokia 2007-08-14 11:28:02 UTC
Just a comment that instead of sections tags sho0uld be used to categorize
packages. See http://debtags.alioth.debian.org/
Comment 4 Andre Klapper maemo.org 2008-07-18 15:10:09 UTC
Ah, adding URLs without any further comments. Great. So has this been improved
for 4.1?
Comment 5 Quim Gil nokia 2008-07-19 15:47:11 UTC
Conveniently updated, this belongs to "Better extras categories and debtags", a
task committed for Sprint2.
Comment 6 Jarmo Tikka (reporter) nokia 2008-08-13 16:28:28 UTC
This bug seems to be in process already. Just added Marius Vollmer as CC.
Comment 7 Andre Klapper maemo.org 2008-10-30 19:02:26 UTC
Moving Documentation component from maemo.org to Development Platform since the
bugs there refer to official developer documentation and this falls out of the
responsibility of the community.
Sorry for the noise, you can filter your bugmail by searching for this comment.
Comment 8 Andre Klapper maemo.org 2008-11-04 20:28:49 UTC
This does not look like high prio to me if that was set 4 months ago.
Correcting.
Comment 9 Jarmo Tikka (reporter) nokia 2008-11-18 12:52:25 UTC
We are updating Diablo release docs but because there has not been "official"
update for this to maemo packaking policy
http://maemo.org/forrest-images/pdf/maemo-policy.pdf but just discussion and
proposal in maemo wiki
http://wiki.maemo.org/Task:Packaging_policy_proposed_changes we will not fix
this to Diablo documentation.

Bug target milestone changed for Fremantle.
Comment 10 Ryan Abel maemo.org 2008-11-18 13:03:57 UTC
(In reply to comment #9)
> We are updating Diablo release docs but because there has not been "official"
> update for this to maemo packaking policy
> http://maemo.org/forrest-images/pdf/maemo-policy.pdf but just discussion and
> proposal in maemo wiki
> http://wiki.maemo.org/Task:Packaging_policy_proposed_changes we will not fix
> this to Diablo documentation.
> 
> Bug target milestone changed for Fremantle.
> 

Well, the policy is blocked until the Application Manager is updated ('policy
follows tools'), but that list of categories is finalized for Diablo.
Comment 11 Andre Klapper maemo.org 2009-02-12 16:00:41 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > Bug target milestone changed for Fremantle.
> 
> Well, the policy is blocked until the Application Manager is updated ('policy
> follows tools'), but that list of categories is finalized for Diablo.

So this could be done now I guess.
Comment 12 Quim Gil nokia 2009-09-28 09:45:56 UTC
This seems to be FIXED in Fremantle?
Comment 13 Quim Gil nokia 2009-10-14 08:50:56 UTC
Resolving as Fixed in Fremantle.
Comment 14 Andre Klapper maemo.org 2010-05-17 16:42:10 UTC
[Rearrangement of Documentation bug reports.]
Mass-moving old closed Developer Platform > Documentation tickets.
You can filter bugmail by searching for this comment.